## class fltk::SecretInput

### Class Hierarchy

    fltk::Input
       |
       +----fltk::SecretInput

### Include Files

    #include <fltk/SecretInput.h>

### Description

The `fltk::SecretInput` class is a subclass of `fltk::Input` that displays its input as a string of asterisks. Attempts to cut, copy, or drag text out of the field are also prevented. This subclass is usually used to recieve passwords and other "secret" information.

### Methods

- fltk::SecretInput
- ~SecretInput

#### fltk::SecretInput::SecretInput(int x, int y, int w, int h, const char *label = 0)

Creates a new `fltk::SecretInput` widget using the given position, size, and label string.

#### virtual fltk::SecretInput::~SecretInput()

Destroys the widget and any value associated with it.